#include <iostream>
using namespace std;

int main()
{
    long int n,a=1;
    cin>>n;
    while (a*a*a<=n)
    {
        if (n%a==0)
        {
            int b=n/a;
            int c=a;
            while (c*c<=b)
            {
                if (b%c==0)
                {
                    cout<<a<<"."<<c<<"."<<b/c<<endl;
                }
                c++;
            }
        }
        a++;
    }
    return 0;
}
